package com.intellij.lang.a;

package .tmp;

import com.intellij.lang.ASTNode;
import com.intellij.lang.Language;
import com.intellij.lang.LanguageUtil;
import com.intellij.lang.ParserDefinition;
import com.intellij.lang.PsiParser;
import com.intellij.lang.a.a;
import com.intellij.lang.a.b;
import com.intellij.lang.a.e.a;
import com.intellij.lang.a.f.a;
import com.intellij.lang.a.g;
import com.intellij.lang.a.g.u;
import com.intellij.lexer.Lexer;
import com.intellij.openapi.project.Project;
import com.intellij.psi.FileViewProvider;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiFile;
import com.intellij.psi.TokenType;
import com.intellij.psi.tree.IElementType;
import com.intellij.psi.tree.IFileElementType;
import com.intellij.psi.tree.TokenSet;
import org.jetbrains.annotations.NotNull;

public class e implements ParserDefinition {
  private static final IFileElementType a = new IFileElementType((Language)a.a);
  
  private static final TokenSet a = TokenSet.create(new IElementType[] { TokenType.WHITE_SPACE });
  
  @NotNull
  public Lexer createLexer(Project paramProject) {
    return (Lexer)new a();
  }
  
  public PsiParser createParser(Project paramProject) {
    return (PsiParser)new a();
  }
  
  public IFileElementType getFileNodeType() {
    return (IFileElementType)a;
  }
  
  @NotNull
  public TokenSet getWhitespaceTokens() {
    return a;
  }
  
  @NotNull
  public TokenSet getCommentTokens() {
    return TokenSet.EMPTY;
  }
  
  @NotNull
  public TokenSet getStringLiteralElements() {
    return u.b;
  }
  
  @NotNull
  public PsiElement createElement(ASTNode paramASTNode) {
    return g.a.a(paramASTNode);
  }
  
  public PsiFile createFile(FileViewProvider paramFileViewProvider) {
    return (PsiFile)new b(paramFileViewProvider);
  }
  
  public ParserDefinition.SpaceRequirements spaceExistanceTypeBetweenTokens(ASTNode paramASTNode1, ASTNode paramASTNode2) {
    Lexer lexer = createLexer(paramASTNode1.getPsi().getProject());
    return LanguageUtil.canStickTokensTogetherByLexer(paramASTNode1, paramASTNode2, lexer);
  }
}
